%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-olpcgames
Version:        1.6
Release:        8%{?dist}
Summary:        Utilities for developing games on the OLPC platform

Group:          Development/Languages
License:        BSD
URL:            http://wiki.laptop.org/go/OLPCGames
Source0:        http://dev.laptop.org/~mcfletch/OLPCGames/OLPCGames-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       pygame
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This python package contains various resources and utility classes for making
games on the OLPC system. Specifically it enables using PyGame in the Sugar 
environment.

%prep
%setup -q -n OLPCGames-%{version}


%build
export DISPLAY=:0.0
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
export DISPLAY=:0.0
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# remove shebang to calm rpmlint down
sed -i -e 1d $RPM_BUILD_ROOT%{python_sitelib}/olpcgames/buildmanifest.py

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc NEWS olpcgames/COPYING
%{python_sitelib}/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Dec 24 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-3
- make sure to use dist tag

* Thu Dec 14 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-2
- fix issues according to review

* Sun Dec 13 2009 Sebastian Dziallas <sebastian@when.com> - 1.6-1
- update to version 1.6
- spec file cleanups

* Wed Aug 01 2007 Noah Kantrowitz <noah@laptop.org> - 1.0-0.0.20070801git4ab726
- Initial version of this spec.
